LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices

Reply
 
Search this Thread
Old 04-19-2004, 08:58 PM   #1
davidas
Member
 
Registered: Mar 2004
Distribution: Debian 'Sarge'
Posts: 168

Rep: Reputation: 30
Does 'apt-get update' update the database used by 'apt-cache'?


Current installed version of fontconfig is 2.2.2-1.

Code:
apt-get update
I did an update.

Code:
apt-get dist-upgrade
prompts me to update fontconfig. However,
Code:
apt-cache show fontconfig
displays fontconfig version to be 2.2.2-1

Code:
aptitude show ~Astable ~nfontconfig
Code:
aptitude show ~Aunstable ~nfontconfig
Code:
aptitude show ~Aexperimental ~nfontconfig
All the above three display fontconfig version to be 2.2.2-2.

1) Based on aptitude, does that mean fontconfig is version 2.2.2-2 in all distributions?
2) Why the difference in version displayed by apt-cache and aptitude?
3) Does 'apt-get update' update the database used by 'apt-cache'? Cos, 'apt-get dist-upgrade' prompt me to upgrade to higher version than 2.2.2-1, but 'apt-cache show' displays version to be still at 2.2.2-1.

Thanks !
 
Old 04-19-2004, 09:37 PM   #2
ToniT
Senior Member
 
Registered: Oct 2003
Location: Zurich, Switzerland
Distribution: Debian/unstable
Posts: 1,357

Rep: Reputation: 47
1 &2. apt-cache show should show all the versions available. See 'apt-cache policy fontconfig'
3. yes
 
Old 04-19-2004, 09:46 PM   #3
davidas
Member
 
Registered: Mar 2004
Distribution: Debian 'Sarge'
Posts: 168

Original Poster
Rep: Reputation: 30
Thanks for clearing up the issue on apt-cache

Based on (1) above, does it mean fontconfig 2.2.2-2 is now available in all three distributions?

Thanks !

Quote:
Originally posted by ToniT
1 &2. apt-cache show should show all the versions available. See 'apt-cache policy fontconfig'
3. yes
 
Old 04-19-2004, 11:56 PM   #4
ToniT
Senior Member
 
Registered: Oct 2003
Location: Zurich, Switzerland
Distribution: Debian/unstable
Posts: 1,357

Rep: Reputation: 47
According to this
Code:
toni@mario:~$ apt-cache policy fontconfig
fontconfig:
  Installed: 2.2.2-2
  Candidate: 2.2.2-2
  Version Table:
 *** 2.2.2-2 0
        500 http://perhonen.datanet unstable/main Packages
        500 http://perhonen.datanet testing/main Packages
        100 /var/lib/dpkg/status
It seems that fontconfig exists only in testing and unstable distributions. There is no stable version available.

In comparison
Code:
toni@mario:~$ apt-cache policy w3m
w3m:
  Installed: 0.5-7
  Candidate: 0.5-7
  Version Table:
 *** 0.5-7 0
        500 http://perhonen.datanet unstable/main Packages
        100 /var/lib/dpkg/status
     0.5-6 0
        500 http://perhonen.datanet testing/main Packages
     0.3-2.4 0
        500 http://perhonen.datanet stable/main Packages
        500 http://perhonen.datanet stable/updates/main Packages
Shows that there is version 0.5-7 installed and for unstable,
0.5-6 in testing and 0.3-2.4 in security upgraded stable.
 
Old 04-20-2004, 01:01 AM   #5
davidas
Member
 
Registered: Mar 2004
Distribution: Debian 'Sarge'
Posts: 168

Original Poster
Rep: Reputation: 30
My aptitude seems to be working incorrectly. Just a thought. Do I need to edit my /etc/apt/sources.list (I assume aptitude is using this too) prior to using aptitude for checking out packages in other distributions? i.e. do I need to add url for sid in the sources.list if I want to check out packages in experimental?

Code:
aptitude show ~Astable ~ngnome-desktop-environment
Code:
aptitude show ~Aunstable ~ngnome-desktop-environment
Code:
aptitude show ~Aexperimental ~ngnome-desktop-environment
All the three commands above show the same package version (ver49), so I think the error is not restricted to only fontconfig, but all the packages on my system.

Thanks !
PS. Presently I only have URLs in sources.list referencing to 'Sarge' branch.


Quote:
Originally posted by ToniT
According to this
Code:
toni@mario:~$ apt-cache policy fontconfig
fontconfig:
  Installed: 2.2.2-2
  Candidate: 2.2.2-2
  Version Table:
 *** 2.2.2-2 0
        500 http://perhonen.datanet unstable/main Packages
        500 http://perhonen.datanet testing/main Packages
        100 /var/lib/dpkg/status
It seems that fontconfig exists only in testing and unstable distributions. There is no stable version available.

In comparison
Code:
toni@mario:~$ apt-cache policy w3m
w3m:
  Installed: 0.5-7
  Candidate: 0.5-7
  Version Table:
 *** 0.5-7 0
        500 http://perhonen.datanet unstable/main Packages
        100 /var/lib/dpkg/status
     0.5-6 0
        500 http://perhonen.datanet testing/main Packages
     0.3-2.4 0
        500 http://perhonen.datanet stable/main Packages
        500 http://perhonen.datanet stable/updates/main Packages
Shows that there is version 0.5-7 installed and for unstable,
0.5-6 in testing and 0.3-2.4 in security upgraded stable.
 
Old 04-20-2004, 01:27 AM   #6
ToniT
Senior Member
 
Registered: Oct 2003
Location: Zurich, Switzerland
Distribution: Debian/unstable
Posts: 1,357

Rep: Reputation: 47
Yes, you need to have all the url:s in the /etc/apt/sources.list what you want to be aware of.

To see some packages, you need to first edit the sources.list and then apt-get update. Otherwise the system is not aware of other packages.

See apt_preferences(5) if you want to use repositories of multiple distributions and not to have allways newest version available (unstable/experimental).
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
apt-get install not working / apt-get update is ok remy215 Debian 2 10-01-2005 07:02 PM
apt-get update/upgrade Red Squirrel Linux - Software 26 07-11-2005 11:14 PM
apt-get update errors since Debian released ( bad /etc/apt/sources.list ?) forgox Debian 10 06-13-2005 12:28 PM
apt-get update biojayc Ubuntu 1 04-28-2005 01:50 PM
Cant get apt to update efi360 Linux - Newbie 7 04-05-2004 10:48 AM


All times are GMT -5. The time now is 05:13 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration